Bug 29153 - CodeMirror broken for news and HTML customizations
Summary: CodeMirror broken for news and HTML customizations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-01 17:00 UTC by Lucas Gass
Modified: 2021-10-22 15:13 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29153: Fix CodeMirror textareas to work with all languages (3.44 KB, patch)
2021-10-15 17:11 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29153: Fix CodeMirror textareas to work with all languages (3.49 KB, patch)
2021-10-15 20:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 29153: Fix CodeMirror textareas to work with all languages (3.56 KB, patch)
2021-10-18 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-10-01 17:00:32 UTC
To recreate:

-Go to Tools and open either addtional contents ( either News or HTML customization )
-Make sure you open it using CodeMirror and not TinyMCE
-Code mirror is broken
Comment 1 Lucas Gass 2021-10-15 17:11:33 UTC
Created attachment 126368 [details] [review]
Bug 29153: Fix CodeMirror textareas to work with all languages

To test:
1. Go to Tools > HTML customizations
2. Open or create a new entry with CodeMirror. ( Edit with text editor )
3. CodeMirror doesn't work, notice a console error.
4. Apply patch
5. Try steps 1 & 2 again. The CodeMirror editor should now load.
6. Make sure it works in both the Default and English(en) tabs.
7. BONUS: install some other language packs and look at the tabs for that language, it should still work.
Comment 2 David Nind 2021-10-15 20:36:59 UTC
Created attachment 126390 [details] [review]
Bug 29153: Fix CodeMirror textareas to work with all languages

To test:
1. Go to Tools > HTML customizations
2. Open or create a new entry with CodeMirror. ( Edit with text editor )
3. CodeMirror doesn't work, notice a console error.
4. Apply patch
5. Try steps 1 & 2 again. The CodeMirror editor should now load.
6. Make sure it works in both the Default and English(en) tabs.
7. BONUS: install some other language packs and look at the tabs for that language, it should still work.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-18 21:36:01 UTC
Created attachment 126463 [details] [review]
Bug 29153: Fix CodeMirror textareas to work with all languages

To test:
1. Go to Tools > HTML customizations
2. Open or create a new entry with CodeMirror. ( Edit with text editor )
3. CodeMirror doesn't work, notice a console error.
4. Apply patch
5. Try steps 1 & 2 again. The CodeMirror editor should now load.
6. Make sure it works in both the Default and English(en) tabs.
7. BONUS: install some other language packs and look at the tabs for that language, it should still work.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-19 07:45:01 UTC
Pushed to master for 21.11, thanks to everybody involved!